%define upstream_name    Validation-Class
%define upstream_version 7.900019

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Basic Instructions for Writing Plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Validation/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Forward)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Hash::Flatten)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Module::Runtime)
BuildArch:  noarch

%description
Validation::Class is a different approach to data validation, it attempts
to simplify and centralize data validation rules to ensure DRY (don't
repeat yourself) code. The primary intent of this module is to provide a
simplistic validation framework. Your validation class is your data input
firewall and can be used anywhere and is flexible enough in an MVC
environment to be used in both the Controller and Model. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#%check
#%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 7.900.19-2.mga3
+ Revision: 374688
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 7.900.19-1.mga3
+ Revision: 342740
- update to 7.900019

* Wed Sep 26 2012 jquelin <jquelin> 7.860.0-1.mga3
+ Revision: 298119
- update to 7.86

* Mon Sep 17 2012 jquelin <jquelin> 7.831.0-1.mga3
+ Revision: 295239
- update to 7.831

* Wed Jul 04 2012 jquelin <jquelin> 7.740.0-1.mga3
+ Revision: 267517
- update to 7.74

* Sat Jun 09 2012 jquelin <jquelin> 7.400.0-1.mga3
+ Revision: 258883
- update to 7.40

* Tue Jun 05 2012 jquelin <jquelin> 7.390.0-1.mga3
+ Revision: 255571
- update to 7.39

* Sat Jun 02 2012 kharec <kharec> 7.380.0-1.mga3
+ Revision: 253281
- update to 7.38

* Tue Feb 21 2012 kharec <kharec> 5.200.0-1.mga2
+ Revision: 211760
- Disable tests for build
- Add a BR on perl-Moose
- update to 5.20

* Tue Dec 06 2011 kharec <kharec> 3.1.1-1.mga2
+ Revision: 177873
- update to 3.1.1

* Tue Dec 06 2011 kharec <kharec> 3.1.0-1.mga2
+ Revision: 177298
- Try a BR for build purpose
- update to 3.1.0

* Sun Dec 04 2011 kharec <kharec> 3.0.0-1.mga2
+ Revision: 175921
- update to 3.0.0

* Fri Dec 02 2011 kharec <kharec> 2.7.7-1.mga2
+ Revision: 175164
- update to 2.7.7

* Sun Nov 27 2011 kharec <kharec> 2.7.6-1.mga2
+ Revision: 172822
- update to 2.7.6

* Sat Nov 19 2011 kharec <kharec> 2.7.0-1.mga2
+ Revision: 169085
- update to 2.7.0

* Thu Nov 10 2011 kharec <kharec> 2.6.0-1.mga2
+ Revision: 166063
- update to 2.6.0

* Wed Nov 09 2011 kharec <kharec> 2.5.2-2.mga2
+ Revision: 165882
- remove useless parts of %%description

* Wed Nov 09 2011 kharec <kharec> 2.5.2-1.mga2
+ Revision: 165876
- update to 2.5.2

* Tue Nov 08 2011 kharec <kharec> 2.5.0-1.mga2
+ Revision: 165644
- update to 2.5.0

* Sat Nov 05 2011 kharec <kharec> 2.4.7-1.mga2
+ Revision: 163292
- imported package perl-Validation-Class

